Name:           blobby
Version:        0.6
Release:        0.13.a%{?dist}
Summary:        Volley-ball game

Group:          Amusements/Games
License:        GPLv2+
URL:            http://blobby.sourceforge.net
Source0:        http://dl.sf.net/blobby/blobby2-linux-%{version}a.tar.gz
Source1:        blobby.desktop
Patch0:         blobby-0.6-optflags.patch
Patch1:         blobby-0.6-gcc43.patch
Patch2:         blobby-0.6-arm.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel, physfs-devel, zlib-devel
BuildRequires:  ImageMagick, desktop-file-utils, hicolor-icon-theme

# Wrapper
Requires:       opengl-games-utils

%description
Blobby Volley is one of the most popular freeware games.
Blobby Volley 2 is the continuation of this lovely game.


%prep
%setup -q -n blobby-alpha-6
%patch0 -p0 -b .optflags
%patch1 -p0 -b .gcc43
%patch2 -p1 -b .arm


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Icon
unzip -o -j data/gfx.zip gfx/ball01.bmp
convert -size 48x48 -transparent black ball01.bmp blobby.png
install -p -m 644 -D blobby.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/blobby.png

# Desktop file
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install  --vendor "fedora" \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        %{SOURCE1}

# Wrapper
ln -s opengl-game-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/%{name}-wrapper


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS README ChangeLog COPYING TODO
%{_bindir}/*
%{_datadir}/blobby
%{_datadir}/icons/hicolor/48x48/apps/*.png
%{_datadir}/applications/*.desktop


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-0.13.a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Apr 24 2009 Aurelien Bompard <abompard@fedoraproject.org> 0.6-0.11.a
- add ARM patch, thanks to Kedar Sovani

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6-0.11.a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 22 2008 Aurelien Bompard <abompard@fedoraproject.org> 0.6-0.10.a
- update Summary to comply with the guidelines

* Thu Jun 05 2008 Aurelien Bompard <abompard@fedoraproject.org> 0.6-0.9.a
- fix build with gcc 4.3 (patch1)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6-0.8.a
- Autorebuild for GCC 4.3

* Sun Oct 07 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.6-0.7.a
- detect OpenGL using opengl-games-utils

* Sun Aug 26 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.6-0.6.a
- fix license tag again: if no version is specified, any version can be
  chosen (see http://fedoraproject.org/wiki/Licensing)

* Sat Aug 25 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.6-0.5.a
- rebuild for BuildID
- fix license tag

* Sun Jan 14 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.6-0.4.a
- patch configure instead of configure.in

* Sun Jan 14 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.6-0.3.a
- patch it to obey RPM_OPT_FLAGS

* Sun Jan 14 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.6-0.2.a
- add dependency on hicolor-icon-theme (#222547)
- removed the "Application" category from the desktop file

* Fri Jan 12 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.6-0.1.a
- initial package
